Skip to content
GAMPEONCreate
New project

GIF image

GET
/v1/gifs/{slug}/{size}
curl --request GET \
--url https://api.gampeon.com/v1/gifs/example/sm

The animated image (WebP, or GIF if KLIPY has no WebP) from KLIPY, delivered by the API. sm is the small preview for the picker, md the size in posts and comments. Only GIFs that came from a search or are attached to a post. Cached for a day.

Rate limit: 1,500 per 10 minutes per IP address.

slug
required
string

GIF ID

size
required
string
Allowed values: sm md

sm or md

The image

Media typeimage/webp, image/gif
string format: binary

Error codes: not_found

Media typeapplication/json
object
error
required

Machine-readable error code, for example not_found or rate_limited.

string
message

Human-readable detail. Only present for some errors.

string

Example generated

{
"error": "example",
"message": "example"
}

Limit: 1,500 per 10 minutes per IP address. Error codes: rate_limited

Media typeapplication/json
object
error
required

Machine-readable error code, for example not_found or rate_limited.

string
message

Human-readable detail. Only present for some errors.

string

Example generated

{
"error": "example",
"message": "example"
}

Report a problem with this pageOther ways to give feedback